summaryrefslogtreecommitdiffstats
path: root/system/redis
diff options
context:
space:
mode:
author Kuroi Kenshi <kuroi_kenshi96@yahoo.com>2010-05-13 01:01:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:01:06 +0200
commitbe69bc9ce7b3e45414f86bfcc3ed1c30447e908d (patch)
treea4a19f422277bf14c958b30e2272f4f281b7f532 /system/redis
parentc2654d092673d44b326abd9e2325bcc57bdab719 (diff)
downloadslackbuilds-be69bc9ce7b3e45414f86bfcc3ed1c30447e908d.tar.gz
slackbuilds-be69bc9ce7b3e45414f86bfcc3ed1c30447e908d.tar.xz
system/redis: Added to 13.0 repository
Diffstat (limited to 'system/redis')
-rw-r--r--system/redis/README6
-rw-r--r--system/redis/doinst.sh13
-rw-r--r--system/redis/redis.SlackBuild66
-rw-r--r--system/redis/redis.info10
-rw-r--r--system/redis/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/system/redis/README b/system/redis/README
new file mode 100644
index 0000000000..65d36c0f15
--- /dev/null
+++ b/system/redis/README
@@ -0,0 +1,6 @@
+Redis is an advanced key-value store. It is similar to memcached but the
+dataset is not volatile, and values can be strings, exactly like in memcached,
+but also lists, sets, and ordered sets. These data types can be manipulated
+with atomic operations to push/pop elements, add/remove elements, perform
+server side union, intersection, difference between sets, and so forth.
+Redis supports different kinds of sorting abilities.
diff --git a/system/redis/doinst.sh b/system/redis/doinst.sh
new file mode 100644
index 0000000000..581ef15d40
--- /dev/null
+++ b/system/redis/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/redis.conf.new
+
diff --git a/system/redis/redis.SlackBuild b/system/redis/redis.SlackBuild
new file mode 100644
index 0000000000..75dd21265e
--- /dev/null
+++ b/system/redis/redis.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for Redis
+# Written by kuroi_kenshi <kuroi_kenshi96@yahoo.com>
+
+PRGNAM=redis
+VERSION=${VERSION:-1.02}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# No ./configure necessary
+CFLAGS="$SLKCFLAGS" make
+
+# move binaries to /usr/bin/
+mkdir -p $PKG/usr/bin
+install -m 0755 redis-server redis-cli redis-benchmark $PKG/usr/bin
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Use sample config, without overwriting
+install -D -m 644 redis.conf $PKG/etc/redis.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ 00-RELEASENOTES BETATESTING.txt BUGS Changelog COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/redis/redis.info b/system/redis/redis.info
new file mode 100644
index 0000000000..d598f18caf
--- /dev/null
+++ b/system/redis/redis.info
@@ -0,0 +1,10 @@
+PRGNAM="redis"
+VERSION="1.02"
+HOMEPAGE="http://code.google.com/p/redis/"
+DOWNLOAD="http://redis.googlecode.com/files/redis-1.02.tar.gz"
+MD5SUM="5396e2d8b67f451ab4702ce7655533ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kuroi Kenshi"
+EMAIL="kuroi_kenshi96@yahoo.com"
+APPROVED="rworkman"
diff --git a/system/redis/slack-desc b/system/redis/slack-desc
new file mode 100644
index 0000000000..ff475bb7d5
--- /dev/null
+++ b/system/redis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+redis: Redis (Key-Value Store)
+redis:
+redis: Redis is an advanced key-value store. It is similar to memcached but
+redis: the dataset is not volatile, and values can be strings, exactly like
+redis: in memcached, but also lists, sets, and ordered sets. These data
+redis: types can be manipulated with atomic operations to push/pop elements,
+redis: add/remove elements, perform server side union, intersection,
+redis: Records are organized in hash table, B+ tree, or a fixed-length array.
+redis: Redis supports different kinds of sorting abilities.
+redis:
+redis: http://code.google.com/p/redis/